from django import forms
from .models import Lead, Plan


class LeadForm(forms.ModelForm):
    class Meta:
        model = Lead
        fields = ["name", "company", "email", "phone", "message"]
        widgets = {
            "name": forms.TextInput(attrs={"class": "form-control"}),
            "company": forms.TextInput(attrs={"class": "form-control"}),
            "email": forms.EmailInput(attrs={"class": "form-control"}),
            "phone": forms.TextInput(attrs={"class": "form-control"}),
            "message": forms.Textarea(attrs={"class": "form-control", "rows": 4}),
        }


class PlanForm(forms.ModelForm):
    class Meta:
        model = Plan
        fields = ("name", "description")
        widgets = {
            "description": forms.Textarea(attrs={"rows": 3}),
            "features": forms.Textarea(attrs={"rows": 4}),
        }
